RhinoShellExec (Gradle API 4.5)
Date: 2018-01-24

org.gradle.plugins.javascript.rhino

## Class RhinoShellExec

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.JavaExec
        - - org.gradle.plugins.javascript.rhino.RhinoShellExec

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, BaseExecSpec, JavaExecSpec, JavaForkOptions, ProcessForkOptions, org.gradle.util.Configurable<Task>

      public class RhinoShellExec
      extends JavaExec

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RhinoShellExec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JavaExecSpec` | `args(Iterable<?> args)` Cannot set args directly on RhinoShellExec, use `setRhinoOptions(List)`, `setScriptArgs(List)` and/or `setScript(File)` instead.
    `JavaExec` | `args(Object... args)` Cannot set args directly on RhinoShellExec, use `setRhinoOptions(List)`, `setScriptArgs(List)` and/or `setScript(File)` instead.
    `void` | `exec()`
    `List<String>` | `getArgs()` Returns the arguments passed to the main class to be executed.
    `List<String>` | `getRhinoOptions()` Rhino options.
    `File` | `getScript()` Script file.
    `List<String>` | `getScriptArgs()` Script arguments.
    `void` | `rhinoOptions(Object... rhinoOptions)` Sets Rhino options.
    `void` | `scriptArgs(Object... scriptArgs)` Sets script arguments.
    `JavaExec` | `setArgs(Iterable<?> applicationArgs)` Cannot set args directly on RhinoShellExec, use `setRhinoOptions(List)`, `setScriptArgs(List)` and/or `setScript(File)` instead.
    `JavaExec` | `setArgs(List<String> applicationArgs)` Cannot set args directly on RhinoShellExec, use `setRhinoOptions(List)`, `setScriptArgs(List)` and/or `setScript(File)` instead.
    `void` | `setRhinoOptions(List<String> rhinoOptions)` Sets Rhino options.
    `void` | `setRhinoOptions(Object... rhinoOptions)` Sets Rhino options.
    `void` | `setScript(File script)` Sets script file.
    `void` | `setScript(Object script)` Sets script file.
    `void` | `setScriptArgs(List<String> scriptArgs)` Sets script arguments.
    `void` | `setScriptArgs(Object... scriptArgs)` Sets script arguments.

    - ### Methods inherited from class org.gradle.api.tasks.JavaExec

      `bootstrapClasspath, classpath, copyTo, copyTo, environment, environment, executable, getAllJvmArgs, getBootstrapClasspath, getClasspath, getCommandLine, getDebug, getDefaultCharacterEncoding, getEnableAssertions, getEnvironment, getErrorOutput, getExecActionFactory, getExecutable, getJvmArgs, getMain, getMaxHeapSize, getMinHeapSize, getStandardInput, getStandardOutput, getSystemProperties, getWorkingDir, isIgnoreExitValue, jvmArgs, jvmArgs, setAllJvmArgs, setAllJvmArgs, setBootstrapClasspath, setClasspath, setDebug, setDefaultCharacterEncoding, setEnableAssertions, setEnvironment, setErrorOutput, setExecutable, setExecutable, setIgnoreExitValue, setJvmArgs, setJvmArgs, setMain, setMaxHeapSize, setMinHeapSize, setStandardInput, setStandardOutput, setSystemProperties, setWorkingDir, setWorkingDir, systemProperties, systemProperty, workingDir`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RhinoShellExec

          public RhinoShellExec()

  - ### Method Detail

    - #### getRhinoOptions

          @Input
          public List<String> getRhinoOptions()

      Rhino options.

    - #### setRhinoOptions

          public void setRhinoOptions(List<String> rhinoOptions)

      Sets Rhino options.
      Since:
        4.0

    - #### setRhinoOptions

          public void setRhinoOptions(Object... rhinoOptions)

      Sets Rhino options.

    - #### rhinoOptions

          public void rhinoOptions(Object... rhinoOptions)

      Sets Rhino options.

    - #### getScriptArgs

          @Internal(value="Represented as part of args")
          public List<String> getScriptArgs()

      Script arguments.

    - #### setScriptArgs

          public void setScriptArgs(List<String> scriptArgs)

      Sets script arguments.
      Since:
        4.0

    - #### setScriptArgs

          public void setScriptArgs(Object... scriptArgs)

      Sets script arguments.

    - #### scriptArgs

          public void scriptArgs(Object... scriptArgs)

      Sets script arguments.

    - #### getScript

          @InputFile
           @Optional
          public File getScript()

      Script file.

    - #### setScript

          public void setScript(File script)

      Sets script file.
      Since:
        4.0

    - #### setScript

          public void setScript(Object script)

      Sets script file.

    - #### getArgs

          public List<String> getArgs()

      Returns the arguments passed to the main class to be executed.
      Specified by:
        `getArgs` in interface `JavaExecSpec`
      Overrides:
        `getArgs` in class `JavaExec`

    - #### setArgs

          public JavaExec setArgs(List<String> applicationArgs)

      Cannot set args directly on RhinoShellExec, use `setRhinoOptions(List)`, `setScriptArgs(List)` and/or `setScript(File)` instead.
      Specified by:
        `setArgs` in interface `JavaExecSpec`
      Overrides:
        `setArgs` in class `JavaExec`
      Parameters:
        `applicationArgs` - Args for the main class.
      Returns:
        this
      Throws:
        `UnsupportedOperationException` - always
      Since:
        4.0

    - #### setArgs

          public JavaExec setArgs(Iterable<?> applicationArgs)

      Cannot set args directly on RhinoShellExec, use `setRhinoOptions(List)`, `setScriptArgs(List)` and/or `setScript(File)` instead.
      Specified by:
        `setArgs` in interface `JavaExecSpec`
      Overrides:
        `setArgs` in class `JavaExec`
      Parameters:
        `applicationArgs` - Args for the main class.
      Returns:
        this
      Throws:
        `UnsupportedOperationException` - always

    - #### args

          public JavaExec args(Object... args)

      Cannot set args directly on RhinoShellExec, use `setRhinoOptions(List)`, `setScriptArgs(List)` and/or `setScript(File)` instead.
      Specified by:
        `args` in interface `JavaExecSpec`
      Overrides:
        `args` in class `JavaExec`
      Parameters:
        `args` - Args for the main class.
      Returns:
        this
      Throws:
        `UnsupportedOperationException` - always

    - #### args

          public JavaExecSpec args(Iterable<?> args)

      Cannot set args directly on RhinoShellExec, use `setRhinoOptions(List)`, `setScriptArgs(List)` and/or `setScript(File)` instead.
      Specified by:
        `args` in interface `JavaExecSpec`
      Overrides:
        `args` in class `JavaExec`
      Parameters:
        `args` - Args for the main class.
      Returns:
        this
      Throws:
        `UnsupportedOperationException` - always

    - #### exec

          public void exec()

      Overrides:
        `exec` in class `JavaExec`